#!/usr/bin/env sh

set -e

SCRIPT=$(readlink -f "$0")
SCRIPTPATH=$(dirname "$SCRIPT")

source $XDG_CONFIG_HOME/nextcloud.config.sh

if test -n "$1"; then
    FILE_PATH=$1
elif test ! -t 0; then
    read -r FILE_PATH
else
    >&2 echo "Provide a file"
    exit 1
fi

$SCRIPTPATH/nc-share-file.sh "$FILE_PATH" \
	| perl -n -e '/([a-zA-Z0-9]+)$/ && print $1' \
	| awk -n -e '{print "https://pb.kapelle.org/"$1}'

